Package com.databricks.jdbc.common.util

## Class WrapperUtil

- java.lang.Object
- - com.databricks.jdbc.common.util.WrapperUtil

    public class WrapperUtil
    extends Object

### Constructor Summary

Constructors
`WrapperUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isWrapperFor​(Class<?> iface, Object object)`
`static <T> T` `unwrap​(Class<T> iface, Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WrapperUtil

    public WrapperUtil()

### Method Detail

#### isWrapperFor

    public static boolean isWrapperFor​(Class<?> iface,
                                       Object object)

#### unwrap

    public static <T> T unwrap​(Class<T> iface,
                               Object object)
                        throws SQLException

Throws:
  `SQLException`